#pragma once

#include <QOpenGLWidget>
#include <QOpenGLFunctions>

class OpenGlViewer : public QOpenGLWidget, protected QOpenGLFunctions
{
	Q_OBJECT

public:
	OpenGlViewer(QWidget *parent);
	~OpenGlViewer();

protected:
	virtual void initializeGL() override final;
	virtual void resizeGL(int w, int h) override final;
	virtual void paintGL() override final;
};
